Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.map.event
Class DomainEvent

    java.lang.Object
      java.util.EventObject
          org.apache.cayenne.event.CayenneEvent
              org.apache.cayenne.map.event.MapEvent
                  org.apache.cayenne.map.event.DomainEvent

All Implemented Interfaces:
  Serializable

    public class DomainEvent

extends MapEvent

Represents events resulted from DataDomain changes in CayenneModeler.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.cayenne.map.event.MapEvent
`ADD, CHANGE, domain, id, oldName, oldNameSet, REMOVE`

Fields inherited from class org.apache.cayenne.event.CayenneEvent
`info, postedBy, subject`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`DomainEvent(Object src, DataDomain domain)` Creates a domain change event.
`DomainEvent(Object src, DataDomain domain, int id)` Creates a domain event of a specified type.
`DomainEvent(Object src, DataDomain domain, String oldName)` Creates a domain name change event.

Method Summary
`String` | `getNewName()` Returns the newName of the object that caused this event.

Methods inherited from class org.apache.cayenne.map.event.MapEvent
`getDomain, getId, getOldName, isNameChange, setDomain, setId, setOldName`

Methods inherited from class org.apache.cayenne.event.CayenneEvent
`getInfo, getPostedBy, getSubject, setPostedBy, setSubject`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DomainEvent

    public DomainEvent(Object src,
                       DataDomain domain)

  Creates a domain change event.

### DomainEvent

    public DomainEvent(Object src,
                       DataDomain domain,
                       int id)

  Creates a domain event of a specified type.

### DomainEvent

    public DomainEvent(Object src,
                       DataDomain domain,
                       String oldName)

  Creates a domain name change event.

Method Detail

### getNewName

    public String getNewName()

  Description copied from class: `MapEvent`
  Returns the newName of the object that caused this event.

  Specified by:
    `getNewName` in class `MapEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2009 Apache Cayenne. All Rights Reserved.